<div align="right">
  Language:
    🇺🇸
  <a title="Chinese" href="./README.zh-CN.md">🇨🇳</a>
</div>

 <div align="center"><a title="" href="https://github.com/zjykzj/SimpleIR"><img align="center" src="./imgs/SimpleIR.png"></a></div>

<p align="center">
  «SimpleIR» provides a simple framework for Image Retrieval  </a>
<br>
<br>
  <a href="https://github.com/RichardLitt/standard-readme"><img src="https://img.shields.io/badge/standard--readme-OK-green.svg?style=flat-square"></a>
  <a href="https://conventionalcommits.org"><img src="https://img.shields.io/badge/Conventional%20Commits-1.0.0-yellow.svg"></a>
  <a href="http://commitizen.github.io/cz-cli/"><img src="https://img.shields.io/badge/commitizen-friendly-brightgreen.svg"></a>
  <a href="https://libraries.io/pypi/simpleir"><img src="https://img.shields.io/librariesio/github/zjykzj/SimpleIR"></a>
<br>
  <a href="https://pypi.org/project/simpleir/"><img src="https://img.shields.io/badge/PYPI-simpleir-brightgreen"></a>
  <a href="https://pypi.org/project/simpleir/"><img src="https://img.shields.io/pypi/pyversions/simpleir"></a>
  <a href="https://pypi.org/project/simpleir/"><img src="https://img.shields.io/pypi/v/simpleir"></a>
  <a href="https://pypi.org/project/simpleir/"><img src="https://img.shields.io/pypi/l/simpleir"></a>
  <a href="https://pypi.org/project/simpleir/"><img src="https://img.shields.io/pypi/dd/simpleir?style=plastic"></a>
<br>
  <a href='https://zcls2.readthedocs.io/en/latest/?badge=latest'>
      <img src='https://readthedocs.org/projects/simpleir/badge/?version=latest' alt='Documentation Status' />
  </a>
  <a href="https://github.com/zjykzj/SimpleIR"><img src="https://img.shields.io/github/v/tag/zjykzj/simpleir"></a>
  <a href="https://github.com/zjykzj/SimpleIR"><img src="https://img.shields.io/github/repo-size/zjykzj/simpleir"></a>
  <a href="https://github.com/zjykzj/SimpleIR"><img src="https://img.shields.io/github/forks/zjykzj/simpleir?style=social"></a>
  <a href="https://github.com/zjykzj/SimpleIR"><img src="https://img.shields.io/github/stars/zjykzj/simpleir?style=social"></a>
  <a href="https://github.com/zjykzj/SimpleIR"><img src="https://img.shields.io/github/downloads/zjykzj/simpleir/total"></a>
  <a href="https://github.com/zjykzj/SimpleIR"><img src="https://img.shields.io/github/commit-activity/y/zjykzj/simpleir"></a>
</p>

## Table of Contents

- [Table of Contents](#table-of-contents)
- [Background](#background)
- [Installation](#installation)
- [Usage](#usage)
- [Maintainers](#maintainers)
- [Thanks](#thanks)
- [Contributing](#contributing)
- [License](#license)

## Background

Since the traditional image processing, the field of image retrieval has been a research hotspot. Up to now, image retrieval algorithms based on deep learning have been continuously proposed. Although this field has developed for many years, there are still great barriers to research and practice. In order to better practice image retrieval algorithms, I developed this warehouse, hoping to better promote the landing and optimization of image retrieval algorithms.

## Installation

See [install](https://simpleir.readthedocs.io/en/latest/install/)

## Usage

See [Get Started](https://simpleir.readthedocs.io/en/latest/get-started/)

## Maintainers

* zhujian - *Initial work* - [zjykzj](https://github.com/zjykzj)

## Thanks

* [ZJCV/ZCls2](https://github.com/ZJCV/ZCls2)
* [PyRetri/PyRetri](https://github.com/PyRetri/PyRetri)

For more thanks, check [THANKS](THANKS.md)

## Contributing

Anyone's participation is welcome! Open an [issue](https://github.com/zjykzj/SimpleIR/issues) or submit PRs.

Small note:

* Git submission specifications should be complied
  with [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0-beta.4/)
* If versioned, please conform to the [Semantic Versioning 2.0.0](https://semver.org) specification
* If editing the README, please conform to the [standard-readme](https://github.com/RichardLitt/standard-readme)
  specification.

## License

[Apache License 2.0](LICENSE) © 2022 zjykzj